<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:c20853fd-a492-4ba1-8bcf-a399a58f9b94,g:d47b8d27-f4d4-4a9a-8989-fe70465d1dc0-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:tdg="http://www.transdigm.com/20250329" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:dtr-types1="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.transdigm.com/20250329">
  <xs:import namespace="http://fasb.org/srt/2024" schemaLocation="https://xbrl.fasb.org/srt/2024/elts/srt-2024.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2024" schemaLocation="https://xbrl.fasb.org/us-gaap/2024/elts/us-gaap-2024.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2024" schemaLocation="https://xbrl.sec.gov/dei/2024/dei-2024.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-2024.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tdg-20250329_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tdg-20250329_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tdg-20250329_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tdg-20250329_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.transdigm.com/role/CoverPage">
        <link:definition>0000001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDBALANCESHEETS" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS">
        <link:definition>9952151 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDBALANCESHEETSPARENTHETICAL" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSPARENTHETICAL">
        <link:definition>9952152 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS PARENTHETICAL</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOME" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOME">
        <link:definition>9952153 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF INCOME</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME">
        <link:definition>9952154 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFCHANGESINSTOCKHOLDERSDEFICIT" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCHANGESINSTOCKHOLDERSDEFICIT">
        <link:definition>9952155 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' DEFICIT</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTOFCASHFLOWS" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDSTATEMENTOFCASHFLOWS">
        <link:definition>9952156 - Statement - CONDENSED CONSOLIDATED STATEMENT OF CASH FLOWS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFCHANGESINSTOCKHOLDERSDEFICITParenthetical" roleURI="http://www.transdigm.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCHANGESINSTOCKHOLDERSDEFICITParenthetical">
        <link:definition>9952157 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' DEFICIT (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BASISOFPRESENTATION" roleURI="http://www.transdigm.com/role/BASISOFPRESENTATION">
        <link:definition>9952158 - Disclosure - BASIS OF PRESENTATION</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONS" roleURI="http://www.transdigm.com/role/ACQUISITIONS">
        <link:definition>9952159 - Disclosure - ACQUISITIONS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="REVENUERECOGNITION" roleURI="http://www.transdigm.com/role/REVENUERECOGNITION">
        <link:definition>9952160 - Disclosure - REVENUE RECOGNITION</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EARNINGSPERSHARE" roleURI="http://www.transdigm.com/role/EARNINGSPERSHARE">
        <link:definition>9952161 - Disclosure - EARNINGS PER SHARE</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="STOCKREPURCHASEPROGRAM" roleURI="http://www.transdigm.com/role/STOCKREPURCHASEPROGRAM">
        <link:definition>9952162 - Disclosure - STOCK REPURCHASE PROGRAM</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INVENTORIES" roleURI="http://www.transdigm.com/role/INVENTORIES">
        <link:definition>9952163 - Disclosure - INVENTORIES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETS" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETS">
        <link:definition>9952164 - Disclosure - INTANGIBLE ASSETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DEBT" roleURI="http://www.transdigm.com/role/DEBT">
        <link:definition>9952165 - Disclosure - DEBT</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INCOMETAXES" roleURI="http://www.transdigm.com/role/INCOMETAXES">
        <link:definition>9952166 - Disclosure - INCOME TAXES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FAIRVALUEMEASUREMENTS" roleURI="http://www.transdigm.com/role/FAIRVALUEMEASUREMENTS">
        <link:definition>9952167 - Disclosure - FAIR VALUE MEASUREMENTS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DERIVATIVESANDHEDGINGACTIVITIES" roleURI="http://www.transdigm.com/role/DERIVATIVESANDHEDGINGACTIVITIES">
        <link:definition>9952168 - Disclosure - DERIVATIVES AND HEDGING ACTIVITIES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTS" roleURI="http://www.transdigm.com/role/SEGMENTS">
        <link:definition>9952169 - Disclosure - SEGMENTS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACCUMULATEDOTHERCOMPREHENSIVELOSS" roleURI="http://www.transdigm.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSS">
        <link:definition>9952170 - Disclosure - ACCUMULATED OTHER COMPREHENSIVE LOSS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASES" roleURI="http://www.transdigm.com/role/LEASES">
        <link:definition>9952171 - Disclosure - LEASES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BASISOFPRESENTATIONPolicies" roleURI="http://www.transdigm.com/role/BASISOFPRESENTATIONPolicies">
        <link:definition>9955511 - Disclosure - BASIS OF PRESENTATION (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSTables" roleURI="http://www.transdigm.com/role/ACQUISITIONSTables">
        <link:definition>9955512 - Disclosure - ACQUISITIONS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="REVENUERECOGNITIONTables" roleURI="http://www.transdigm.com/role/REVENUERECOGNITIONTables">
        <link:definition>9955513 - Disclosure - REVENUE RECOGNITION (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EARNINGSPERSHARETables" roleURI="http://www.transdigm.com/role/EARNINGSPERSHARETables">
        <link:definition>9955514 - Disclosure - EARNINGS PER SHARE (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INVENTORIESTables" roleURI="http://www.transdigm.com/role/INVENTORIESTables">
        <link:definition>9955515 - Disclosure - INVENTORIES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETSTables" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETSTables">
        <link:definition>9955516 - Disclosure - INTANGIBLE ASSETS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DEBTTables" roleURI="http://www.transdigm.com/role/DEBTTables">
        <link:definition>9955517 - Disclosure - DEBT (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FAIRVALUEMEASUREMENTSTables" roleURI="http://www.transdigm.com/role/FAIRVALUEMEASUREMENTSTables">
        <link:definition>9955518 - Disclosure - FAIR VALUE MEASUREMENTS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DERIVATIVESANDHEDGINGACTIVITIESTables" roleURI="http://www.transdigm.com/role/DERIVATIVESANDHEDGINGACTIVITIESTables">
        <link:definition>9955519 - Disclosure - DERIVATIVES AND HEDGING ACTIVITIES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTSTables" roleURI="http://www.transdigm.com/role/SEGMENTSTables">
        <link:definition>9955520 - Disclosure - SEGMENTS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACCUMULATEDOTHERCOMPREHENSIVELOSSTables" roleURI="http://www.transdigm.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSTables">
        <link:definition>9955521 - Disclosure - ACCUMULATED OTHER COMPREHENSIVE LOSS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESTables" roleURI="http://www.transdigm.com/role/LEASESTables">
        <link:definition>9955522 - Disclosure - LEASES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSRaptorScientificDetailsDetails" roleURI="http://www.transdigm.com/role/ACQUISITIONSRaptorScientificDetailsDetails">
        <link:definition>9955523 - Disclosure - ACQUISITIONS - Raptor Scientific (Details) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSCPIsElectronDeviceBusinessDetails" roleURI="http://www.transdigm.com/role/ACQUISITIONSCPIsElectronDeviceBusinessDetails">
        <link:definition>9955524 - Disclosure - ACQUISITIONS - CPI's Electron Device Business (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSSEIIndustriesLTDDetails" roleURI="http://www.transdigm.com/role/ACQUISITIONSSEIIndustriesLTDDetails">
        <link:definition>9955525 - Disclosure - ACQUISITIONS - SEI Industries LTD (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSFPTIndustriesLLCDetails" roleURI="http://www.transdigm.com/role/ACQUISITIONSFPTIndustriesLLCDetails">
        <link:definition>9955526 - Disclosure - ACQUISITIONS - FPT Industries LLC (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACQUISITIONSExtantAerospaceAcquisitionsDetails" roleURI="http://www.transdigm.com/role/ACQUISITIONSExtantAerospaceAcquisitionsDetails">
        <link:definition>9955527 - Disclosure - ACQUISITIONS - Extant Aerospace Acquisitions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="REVENUERECOGNITIONContractAssetsandLiabilitiesDetails" roleURI="http://www.transdigm.com/role/REVENUERECOGNITIONContractAssetsandLiabilitiesDetails">
        <link:definition>9955528 - Disclosure - REVENUE RECOGNITION - Contract Assets and Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="REVENUERECOGNITIONAllowanceforCreditLossesDetails" roleURI="http://www.transdigm.com/role/REVENUERECOGNITIONAllowanceforCreditLossesDetails">
        <link:definition>9955529 - Disclosure - REVENUE RECOGNITION - Allowance for Credit Losses (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EARNINGSPERSHAREComputationofBasicandDilutedEPStwoclassmethodDetails" roleURI="http://www.transdigm.com/role/EARNINGSPERSHAREComputationofBasicandDilutedEPStwoclassmethodDetails">
        <link:definition>9955530 - Disclosure - EARNINGS PER SHARE - Computation of Basic and Diluted EPS (two-class method) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="STOCKREPURCHASEPROGRAMDetails" roleURI="http://www.transdigm.com/role/STOCKREPURCHASEPROGRAMDetails">
        <link:definition>9955531 - Disclosure - STOCK REPURCHASE PROGRAM (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INVENTORIESScheduleofInventoriesDetails" roleURI="http://www.transdigm.com/role/INVENTORIESScheduleofInventoriesDetails">
        <link:definition>9955532 - Disclosure - INVENTORIES - Schedule of Inventories (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETSIntangibleAssetsSubjecttoAmortizationDetails" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETSIntangibleAssetsSubjecttoAmortizationDetails">
        <link:definition>9955533 - Disclosure - INTANGIBLE ASSETS - Intangible Assets Subject to Amortization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETSFiniteandIndefiniteLivedIntangibleAssetsDetails" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETSFiniteandIndefiniteLivedIntangibleAssetsDetails">
        <link:definition>9955534 - Disclosure - INTANGIBLE ASSETS - Finite and Indefinite-Lived Intangible Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETSAggregateAmortizationExpenseonIdentifiableIntangibleAssetsDetails" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETSAggregateAmortizationExpenseonIdentifiableIntangibleAssetsDetails">
        <link:definition>9955535 - Disclosure - INTANGIBLE ASSETS - Aggregate Amortization Expense on Identifiable Intangible Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INTANGIBLEASSETSSummaryofChangesinCarryingValueofGoodwillbySegmentDetails" roleURI="http://www.transdigm.com/role/INTANGIBLEASSETSSummaryofChangesinCarryingValueofGoodwillbySegmentDetails">
        <link:definition>9955536 - Disclosure - INTANGIBLE ASSETS - Summary of Changes in Carrying Value of Goodwill (by Segment) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DEBTScheduleofDebtDetails" roleURI="http://www.transdigm.com/role/DEBTScheduleofDebtDetails">
        <link:definition>9955537 - Disclosure - DEBT - Schedule of Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DEBTAdditionalDebtInstrumentsDetails" roleURI="http://www.transdigm.com/role/DEBTAdditionalDebtInstrumentsDetails">
        <link:definition>9955538 - Disclosure - DEBT - Additional Debt Instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="INCOMETAXESNarrativesDetails" roleURI="http://www.transdigm.com/role/INCOMETAXESNarrativesDetails">
        <link:definition>9955539 - Disclosure - INCOME TAXES - Narratives (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FAIRVALUEMEASUREMENTSCarryingAmountsandFairValuesofFinancialInstrumentsDetails" roleURI="http://www.transdigm.com/role/FAIRVALUEMEASUREMENTSCarryingAmountsandFairValuesofFinancialInstrumentsDetails">
        <link:definition>9955540 - Disclosure - FAIR VALUE MEASUREMENTS - Carrying Amounts and Fair Values of Financial Instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DERIVATIVESANDHEDGINGACTIVITIESSummaryofOutstandingInterestRateSwapCapandCollarAgreementsDetails" roleURI="http://www.transdigm.com/role/DERIVATIVESANDHEDGINGACTIVITIESSummaryofOutstandingInterestRateSwapCapandCollarAgreementsDetails">
        <link:definition>9955541 - Disclosure - DERIVATIVES AND HEDGING ACTIVITIES - Summary of Outstanding Interest Rate Swap, Cap and Collar Agreements (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DERIVATIVESANDHEDGINGACTIVITIESSummaryofBalanceSheetPresentationofDerivativeAssetsandLiabilitiesDetails" roleURI="http://www.transdigm.com/role/DERIVATIVESANDHEDGINGACTIVITIESSummaryofBalanceSheetPresentationofDerivativeAssetsandLiabilitiesDetails">
        <link:definition>9955542 - Disclosure - DERIVATIVES AND HEDGING ACTIVITIES - Summary of Balance Sheet Presentation of Derivative Assets and Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DERIVATIVESANDHEDGINGACTIVITIESNarrativesDetails" roleURI="http://www.transdigm.com/role/DERIVATIVESANDHEDGINGACTIVITIESNarrativesDetails">
        <link:definition>9955543 - Disclosure - DERIVATIVES AND HEDGING ACTIVITIES - Narratives (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTSNarrativesDetails" roleURI="http://www.transdigm.com/role/SEGMENTSNarrativesDetails">
        <link:definition>9955544 - Disclosure - SEGMENTS - Narratives (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTSScheduleofNetSalesbyReportableSegmentDetails" roleURI="http://www.transdigm.com/role/SEGMENTSScheduleofNetSalesbyReportableSegmentDetails">
        <link:definition>9955545 - Disclosure - SEGMENTS - Schedule of Net Sales by Reportable Segment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTSReconciliationofEBITDADefinedbySegmenttoConsolidatedIncomefromContinuingOperationsBeforeIncomeTaxesDetails" roleURI="http://www.transdigm.com/role/SEGMENTSReconciliationofEBITDADefinedbySegmenttoConsolidatedIncomefromContinuingOperationsBeforeIncomeTaxesDetails">
        <link:definition>9955546 - Disclosure - SEGMENTS - Reconciliation of EBITDA Defined by Segment to Consolidated Income from Continuing Operations Before Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SEGMENTSScheduleofTotalAssetsbySegmentDetails" roleURI="http://www.transdigm.com/role/SEGMENTSScheduleofTotalAssetsbySegmentDetails">
        <link:definition>9955547 - Disclosure - SEGMENTS - Schedule of Total Assets by Segment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ACCUMULATEDOTHERCOMPREHENSIVELOSSScheduleofAccumulatedOtherComprehensiveLossNetofTaxesDetails" roleURI="http://www.transdigm.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSScheduleofAccumulatedOtherComprehensiveLossNetofTaxesDetails">
        <link:definition>9955548 - Disclosure - ACCUMULATED OTHER COMPREHENSIVE LOSS - Schedule of Accumulated Other Comprehensive Loss, Net of Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESComponentsofLeaseExpenseDetails" roleURI="http://www.transdigm.com/role/LEASESComponentsofLeaseExpenseDetails">
        <link:definition>9955549 - Disclosure - LEASES - Components of Lease Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESSupplementalCashFlowInformationRelatedToLeasesDetails" roleURI="http://www.transdigm.com/role/LEASESSupplementalCashFlowInformationRelatedToLeasesDetails">
        <link:definition>9955550 - Disclosure - LEASES - Supplemental Cash Flow Information Related To Leases (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESSupplementalBalanceSheetInformationRelatedtoLeasesIncludingtheRemainingLeaseTermandWeightedAverageDiscountRatesDetails" roleURI="http://www.transdigm.com/role/LEASESSupplementalBalanceSheetInformationRelatedtoLeasesIncludingtheRemainingLeaseTermandWeightedAverageDiscountRatesDetails">
        <link:definition>9955551 - Disclosure - LEASES - Supplemental Balance Sheet Information Related to Leases, Including the Remaining Lease Term and Weighted Average Discount Rates (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESWeightedAverageTermandDiscountRateRemainingDetails" roleURI="http://www.transdigm.com/role/LEASESWeightedAverageTermandDiscountRateRemainingDetails">
        <link:definition>9955552 - Disclosure - LEASES - Weighted-Average Term and Discount Rate Remaining (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LEASESMaturitiesScheduleofOperatingandFinancingLeasesDetails" roleURI="http://www.transdigm.com/role/LEASESMaturitiesScheduleofOperatingandFinancingLeasesDetails">
        <link:definition>9955553 - Disclosure - LEASES - Maturities Schedule of Operating and Financing Leases (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="tdg_RefinancingCosts" abstract="false" name="RefinancingCosts" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_NetIncomeLossAvailableToCommonStockholdersBasicAndVestedOptionsDeemedParticipatingSecurities" abstract="false" name="NetIncomeLossAvailableToCommonStockholdersBasicAndVestedOptionsDeemedParticipatingSecurities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DividendEquivalentDeclaredOnCertainStockOptions" abstract="false" name="DividendEquivalentDeclaredOnCertainStockOptions" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DividendEquivalentPaymentsOnCertainStockOptions" abstract="false" name="DividendEquivalentPaymentsOnCertainStockOptions" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_FiniteLivedIntangibleAssetsAndProductDevelopmentCostAmortizedAmount" abstract="false" name="FiniteLivedIntangibleAssetsAndProductDevelopmentCostAmortizedAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InventoryStepupAmortization" abstract="false" name="InventoryStepupAmortization" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_Losscontractsamortization" abstract="false" name="Losscontractsamortization" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_Refinancingcostsincludingwriteoffofdeferreddebtissuancecost" abstract="false" name="Refinancingcostsincludingwriteoffofdeferreddebtissuancecost" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DividendsPerShareDeclared" abstract="false" name="DividendsPerShareDeclared" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="tdg_LeasesSupplementalBalanceSheetInformationTableTextBlock" abstract="false" name="LeasesSupplementalBalanceSheetInformationTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:textBlockItemType"/>
  <xs:element id="tdg_RaptorScientificMember" abstract="true" name="RaptorScientificMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_BusinessCombinationWorkingCapitalSettlement" abstract="false" name="BusinessCombinationWorkingCapitalSettlement" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentCurrentAssetsReceivable" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentCurrentAssetsReceivable" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentCurrentAssetsPrepaidExpensesAndOther" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentCurrentAssetsPrepaidExpensesAndOther" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOtherAssets" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOtherAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentTotalAssetsAcquired" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentTotalAssetsAcquired" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentAccountsPayable" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentAccountsPayable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentAccruedAndOtherCurrentLiabilities" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentAccruedAndOtherCurrentLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentDeferredIncomeTaxes" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentDeferredIncomeTaxes" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOtherNonCurrentLiabilities" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOtherNonCurrentLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentTotalLiabilitiesAssumed" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentTotalLiabilitiesAssumed" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentNetAssetsAcquired" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentNetAssetsAcquired" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_BusinessAcquisitionIntangibleAssetsExpectedTaxDeductibleAmount" abstract="false" name="BusinessAcquisitionIntangibleAssetsExpectedTaxDeductibleAmount" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_GoodwillAndIntangibleAssetsDeductibleForTaxPurposesTerm" abstract="false" name="GoodwillAndIntangibleAssetsDeductibleForTaxPurposesTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="tdg_CPIElectronDeviceBusinessMember" abstract="true" name="CPIElectronDeviceBusinessMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_SEIIndustriesLTDMember" abstract="true" name="SEIIndustriesLTDMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_FPTIndustriesLLCMember" abstract="true" name="FPTIndustriesLLCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_BusinessAcquisitionGoodwillAndIntangibleAssetsExpectedTaxDeductibleAmountPeriodOfDeduction" abstract="false" name="BusinessAcquisitionGoodwillAndIntangibleAssetsExpectedTaxDeductibleAmountPeriodOfDeduction" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="tdg_AirTransportationEquipmentEstimatedUsefulLife" abstract="false" name="AirTransportationEquipmentEstimatedUsefulLife" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="tdg_ExtantAerospaceMember" abstract="true" name="ExtantAerospaceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_ScheduleofContractAssetsandLiabilitiesTable" abstract="true" name="ScheduleofContractAssetsandLiabilitiesTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="tdg_ScheduleofContractAssetsandLiabilitiesLineItems" abstract="true" name="ScheduleofContractAssetsandLiabilitiesLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="tdg_NetContractAsset" abstract="false" name="NetContractAsset" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_EarningsPerShareBasicAndDilutedNumeratorAbstract" abstract="true" name="EarningsPerShareBasicAndDilutedNumeratorAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="tdg_EarningsPerShareBasicAndDilutedDenominatorAbstract" abstract="true" name="EarningsPerShareBasicAndDilutedDenominatorAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="tdg_WeightedAverageCommonSharesOutstandingBasic" abstract="false" name="WeightedAverageCommonSharesOutstandingBasic" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="tdg_WeightedAverageCommonSharesOutstandingDiluted" abstract="false" name="WeightedAverageCommonSharesOutstandingDiluted" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="tdg_VestedOptionsDeemedParticipatingSecurities" abstract="false" name="VestedOptionsDeemedParticipatingSecurities" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="tdg_TechnologyMember" abstract="true" name="TechnologyMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_IndefiniteLivedIntangibleAssetsExcludingGoodwillGross" abstract="false" name="IndefiniteLivedIntangibleAssetsExcludingGoodwillGross" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_IntangibleAssetsExcludingGoodwillNet" abstract="false" name="IntangibleAssetsExcludingGoodwillNet" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_IntangibleAssetsAccumulatedAmortization" abstract="false" name="IntangibleAssetsAccumulatedAmortization" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_IndefiniteLivedIntangibleAssetsAcquiredIncludingGoodwill" abstract="false" name="IndefiniteLivedIntangibleAssetsAcquiredIncludingGoodwill" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_IntangibleAssetsAcquired" abstract="false" name="IntangibleAssetsAcquired" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_PowerAndControlMember" abstract="true" name="PowerAndControlMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_AirframeMember" abstract="true" name="AirframeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_NonAviationRelatedBusinessMember" abstract="true" name="NonAviationRelatedBusinessMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_TermLoansMember" abstract="true" name="TermLoansMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_GovernmentRefundableAdvancesMember" abstract="true" name="GovernmentRefundableAdvancesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_FinanceLeaseObligationsMember" abstract="true" name="FinanceLeaseObligationsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_LongtermDebtCurrentMaturitiesMember" abstract="true" name="LongtermDebtCurrentMaturitiesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_SeniorSubordinatedNotes2650MDue2027550Member" abstract="true" name="SeniorSubordinatedNotes2650MDue2027550Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes2100MDue2028675Member" abstract="true" name="SeniorSecuredNotes2100MDue2028675Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_SeniorSubordinatedNotes1200MDue20294625Member" abstract="true" name="SeniorSubordinatedNotes1200MDue20294625Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes2750MDue20296.375Member" abstract="true" name="SeniorSecuredNotes2750MDue20296.375Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_SeniorSubordinatedNotes750MDue20294875Member" abstract="true" name="SeniorSubordinatedNotes750MDue20294875Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes1450MDue20306875Member" abstract="true" name="SeniorSecuredNotes1450MDue20306875Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes1000MDue20317125Member" abstract="true" name="SeniorSecuredNotes1000MDue20317125Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes2200MDue20326.625Member" abstract="true" name="SeniorSecuredNotes2200MDue20326.625Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes1500MDue20336.00Member" abstract="true" name="SeniorSecuredNotes1500MDue20336.00Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_ShorttermBankLoansandNotesPayableGross" abstract="false" name="ShorttermBankLoansandNotesPayableGross" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_Governmentrefundableadvances" abstract="false" name="Governmentrefundableadvances" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_LongtermDebtCurrentMaturitiesGross" abstract="false" name="LongtermDebtCurrentMaturitiesGross" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_LongTermDebtGrossAndLeaseObligation" abstract="false" name="LongTermDebtGrossAndLeaseObligation" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DeferredFinanceCostsExcludingCurrentMaturities" abstract="false" name="DeferredFinanceCostsExcludingCurrentMaturities" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DebtInstrumentUnamortizedDiscountExcludingCurrentMaturities" abstract="false" name="DebtInstrumentUnamortizedDiscountExcludingCurrentMaturities" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_SecuritizationFacilityMember" abstract="true" name="SecuritizationFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_DebtInstrumentExtensionTerm" abstract="false" name="DebtInstrumentExtensionTerm" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="tdg_SeniorSecuredNotes1450MDue2030Member" abstract="true" name="SeniorSecuredNotes1450MDue2030Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_InterestRateSwapAssets" abstract="false" name="InterestRateSwapAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InterestRateCapAssets" abstract="false" name="InterestRateCapAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_ForeignCurrencyContractAsset" abstract="false" name="ForeignCurrencyContractAsset" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InterestRateCollarAssets" abstract="false" name="InterestRateCollarAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InterestRateSwapLiabilities" abstract="false" name="InterestRateSwapLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InterestRateCapLiabilities" abstract="false" name="InterestRateCapLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_ForeignCurrencyContractLiability" abstract="false" name="ForeignCurrencyContractLiability" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_InterestRateCollarAgreementLiability" abstract="false" name="InterestRateCollarAgreementLiability" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_A625InterestRateSwapEffectiveMarch312023AndMaturingMarch312025Member" abstract="true" name="A625InterestRateSwapEffectiveMarch312023AndMaturingMarch312025Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A635InterestRateSwapEffectiveMarch312023AndMaturingMarch312025Member" abstract="true" name="A635InterestRateSwapEffectiveMarch312023AndMaturingMarch312025Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A455InterestRateSwapEffectiveMarch312023AndMaturingSeptember302025Member" abstract="true" name="A455InterestRateSwapEffectiveMarch312023AndMaturingSeptember302025Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A125InterestRateCapEffectiveMarch312023AndMaturingSeptember302025Member" abstract="true" name="A125InterestRateCapEffectiveMarch312023AndMaturingSeptember302025Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_InterestRateCollarMember" abstract="true" name="InterestRateCollarMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A200350InterestRateCollarEffectiveMarch312025AndMaturingSeptember302026Member" abstract="true" name="A200350InterestRateCollarEffectiveMarch312025AndMaturingSeptember302026Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A2.003.50InterestRateCollarEffectiveSeptember302025AndMaturingSeptember302026Member" abstract="true" name="A2.003.50InterestRateCollarEffectiveSeptember302025AndMaturingSeptember302026Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_A2.504.50InterestRateCollarEffectiveSeptember302025AndMaturingSeptember302027Member" abstract="true" name="A2.504.50InterestRateCollarEffectiveSeptember302025AndMaturingSeptember302027Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_A2.504.50InterestRateCollarEffectiveSeptember302026AndMaturingSeptember302027Member" abstract="true" name="A2.504.50InterestRateCollarEffectiveSeptember302026AndMaturingSeptember302027Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_InterestRateCollarBeginningMarch312025AndMaturingSeptember302026Member" abstract="true" name="InterestRateCollarBeginningMarch312025AndMaturingSeptember302026Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_InterestRateSwapandCapMember" abstract="true" name="InterestRateSwapandCapMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_DerivativeInstrumentsGainLossReclassificationFromAccumulatedOCIToEarningsNetOfTaxNext12MonthsEstimated" abstract="false" name="DerivativeInstrumentsGainLossReclassificationFromAccumulatedOCIToEarningsNetOfTaxNext12MonthsEstimated" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_SalesMarketTypeAxis" abstract="true" name="SalesMarketTypeAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="tdg_SalesMarketTypeDomain" abstract="true" name="SalesMarketTypeDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_CommercialOEMMember" abstract="true" name="CommercialOEMMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_CommercialAftermarketMember" abstract="true" name="CommercialAftermarketMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_DefenseMember" abstract="true" name="DefenseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tdg_EarningsBeforeInterestTaxesDepreciationAndAmortization" abstract="false" name="EarningsBeforeInterestTaxesDepreciationAndAmortization" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_AcquisitionRelatedCosts" abstract="false" name="AcquisitionRelatedCosts" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_DerivativeReclassificationAxis" abstract="true" name="DerivativeReclassificationAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="tdg_DerivativeReclassificationDomain" abstract="true" name="DerivativeReclassificationDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_NetSalesMember" abstract="true" name="NetSalesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_InterestExpenseNetMember" abstract="true" name="InterestExpenseNetMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="tdg_DerivativeGainLossOnDerivativeTaxExpenseBenefit" abstract="false" name="DerivativeGainLossOnDerivativeTaxExpenseBenefit" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="tdg_SarahWynneMember" abstract="true" name="SarahWynneMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
